# Update Password

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v3/{loyalty_club_slug}/members/me/update_password:
    put:
      summary: Update Password
      deprecated: false
      description: "Updates members's password.\n\n## URL Parameters\n\nParameter        | Description               | Type\n------------------|---------------------------|--------\npassword         | Member's new password     | string\ncurrent_password | Member's current password | string\n\n## Error Responses\n\nStatus | Reason\n--------|-------------------------------------------------------------------------------------\n `404`  | Member associated with given Authorization token does not exist                     \n `422`  | Invalid password - returns [validation errors](doc-342131#validation-on-members) JSON object. \n `460`  | Member not authorized (Invalid or expired OAuth token)                              \n `464`  | Invalid current_password\n\n## Example\n\n```shell\ncurl -X PUT \\\n  https://api.mpc.placewise.com/v3/infinity-mall/members/me/update_password \\\n  -H 'content-type: application/json' \\\n  -H 'x-client-authorization: B7t9U9tsoWsGhrv2ouUoSqpM' \\\n  -H 'x-product-name: default' \\\n  -H 'x-user-agent: CURL manual test' \\\n  -H 'authorization: Bearer 8433d608645345a45ce5a0f5ba1225e57546e86ac49e5fec842159dc82218522' \\\n  -d \\\n  '{\n\t  \"current_password\": \"123\"\n\t  \"password\": \"SuperStrongP4ssw0rd\"\n  }'\n```\n\nAlways returns an empty object\n\n```json\n{\n  // Empty object\n}\n```"
      tags:
        - API Reference/Public API/Member/Password
      parameters:
        - name: loyalty_club_slug
          in: path
          description: ''
          required: true
          example: infinity-mall
          schema:
            type: string
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Public API/Member/Password
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3510850-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```